Skip to main content

Documentation Index

Fetch the complete documentation index at: https://api.docs.onlydrams.app/llms.txt

Use this file to discover all available pages before exploring further.

Parameters

name
string
required
The name of the juice.
proof
float
required
The proof of the juice.
variety
string
required
The variety of the juice.
age
integer
required
The age of the juice in years.
release
string
required
The release date, or cadence of the juice.
distillery_id
string
required
ID of the distillery that this juice is made by.

Returns

Returns a success message if it was created with no errors. Otherwise, an error message is returned.
  curl -X POST https://api.onlydrams.app/api/v1/juices \
       -H "Content-Type: application/json" \
       -H "Authorization: Bearer $ACCESS_TOKEN" \
       -d '{
            "juice": {
              "name": "willet pot still",
              "proof": 94,
              "variety": "bourbon",
              "age": 4,
              "release": "ongoing",
              "distillery_id": "1234"
            }
          }'
{
	"id": "8adc7c69-4d33-488c-b73c-e03ac91d6472",
	"name": "Sample Distillery",
	"founded": "2023",
	"location": "Sample Location",
	"website": "https://sampledistillery.com",
	"logo_url": null,
	"company": {
		"id": "Unknown",
		"name": "Unknown"
	},
	"bottles": [],
	"bottleCount": 0
}